Package weka.core.pmml.jaxbbindings

# Class SequenceRule

java.lang.Object
weka.core.pmml.jaxbbindings.SequenceRule

public class SequenceRule extends Object

Java class for SequenceRule element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="SequenceRule">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}AntecedentSequence"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Delimiter"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Time" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ConsequentSequence"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Time" minOccurs="0"/>
             </sequence>
             <attribute name="confidence" use="required" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="id" use="required" type="{http://www.dmg.org/PMML-4_1}ELEMENT-ID" />
             <attribute name="lift" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="numberOfSets" use="required" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="occurrence" use="required" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="support" use="required" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SequenceRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getConfidence()`
  Gets the value of the confidence property.
  `List<Object>`
  `getContent()`
  Gets the rest of the content model.
  `String`
  `getId()`
  Gets the value of the id property.
  `Double`
  `getLift()`
  Gets the value of the lift property.
  `BigInteger`
  `getNumberOfSets()`
  Gets the value of the numberOfSets property.
  `BigInteger`
  `getOccurrence()`
  Gets the value of the occurrence property.
  `double`
  `getSupport()`
  Gets the value of the support property.
  `void`
  `setConfidence(double value)`
  Sets the value of the confidence property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setLift(Double value)`
  Sets the value of the lift property.
  `void`
  `setNumberOfSets(BigInteger value)`
  Sets the value of the numberOfSets property.
  `void`
  `setOccurrence(BigInteger value)`
  Sets the value of the occurrence property.
  `void`
  `setSupport(double value)`
  Sets the value of the support property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SequenceRule

    public SequenceRule()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    Gets the rest of the content model.

    You are getting this "catch-all" property because of the following reason: The field name "Time" is used by two different parts of a schema. See: line 466 of file:/home/david/workspace/weka/pmml-4-1.xsd line 464 of file:/home/david/workspace/weka/pmml-4-1.xsd

    To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

            getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsequentSequence` `Delimiter` `Time` `AntecedentSequence` `Extension`

  - ### getConfidence

    public double getConfidence()
    Gets the value of the confidence property.

  - ### setConfidence

    public void setConfidence(double value)
    Sets the value of the confidence property.

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLift

    public Double getLift()
    Gets the value of the lift property.
    Returns:
      possible object is `Double`

  - ### setLift

    public void setLift(Double value)
    Sets the value of the lift property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getNumberOfSets

    public BigInteger getNumberOfSets()
    Gets the value of the numberOfSets property.
    Returns:
      possible object is `BigInteger`

  - ### setNumberOfSets

    public void setNumberOfSets(BigInteger value)
    Sets the value of the numberOfSets property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getOccurrence

    public BigInteger getOccurrence()
    Gets the value of the occurrence property.
    Returns:
      possible object is `BigInteger`

  - ### setOccurrence

    public void setOccurrence(BigInteger value)
    Sets the value of the occurrence property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getSupport

    public double getSupport()
    Gets the value of the support property.

  - ### setSupport

    public void setSupport(double value)
    Sets the value of the support property.